Compare commits

..

No commits in common. "main" and "main" have entirely different histories.
main ... main

19 changed files with 74 additions and 284 deletions

1
.gitattributes vendored
View file

@ -39,7 +39,6 @@ eol=lf
# Misc # Misc
*.zip filter=lfs diff=lfs merge=lfs -text *.zip filter=lfs diff=lfs merge=lfs -text
*.tar.gz filter=lfs diff=lfs merge=lfs -text
# ET4011 # ET4011

View file

@ -1,3 +0,0 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-checkout' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs post-checkout "$@"

View file

@ -1,3 +0,0 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-commit' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs post-commit "$@"

View file

@ -1,3 +0,0 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'post-merge' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs post-merge "$@"

View file

@ -1,4 +0,0 @@
#!/usr/bin/env bash
tar czf _git.tar.gz --exclude .git/lfs .git
git add _git.tar.gz

View file

@ -1,3 +0,0 @@
#!/bin/sh
command -v git-lfs >/dev/null 2>&1 || { echo >&2 "\nThis repository is configured for Git LFS but 'git-lfs' was not found on your path. If you no longer wish to use Git LFS, remove this hook by deleting the 'pre-push' file in the hooks directory (set by 'core.hookspath'; usually '.git/hooks').\n"; exit 2; }
git lfs pre-push "$@"

View file

@ -1,9 +0,0 @@
MIT License
Copyright (c) 2024 Skynet
Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

View file

@ -1,17 +1,7 @@
# Skynet Wiki # Skynet Wiki
[Wiki for Skynet][1] [Wiki for Skynet][1]
Uses [mkdocs][2] to generate the site. Uses [mkdocs][2] to generate the site.
[1]: https://wiki.skynet.ie [1]: https://wiki.skynet.ie
[2]: https://www.mkdocs.org [2]: https://www.mkdocs.org
## Hooks
Run this command to set up the hooks properly so teh git information can be stored within the repo
```bash
git config --local core.hooksPath .githooks/
```

BIN
_git.tar.gz (Stored with Git LFS)

Binary file not shown.

View file

@ -19,8 +19,6 @@
packages = with pkgs.python3Packages; [ packages = with pkgs.python3Packages; [
mkdocs mkdocs
mkdocs-material mkdocs-material
mkdocs-git-authors-plugin
mkdocs-git-revision-date-localized-plugin
]; ];
in { in {
formatter = alejandra.defaultPackage.${system}; formatter = alejandra.defaultPackage.${system};
@ -28,7 +26,7 @@
name = "skynet-wiki"; name = "skynet-wiki";
src = self; src = self;
buildInputs = packages; buildInputs = packages;
buildPhase = "tar -zxf _git.tar.gz && mkdocs build"; buildPhase = "mkdocs build";
installPhase = "mkdir -p $out; cp -R site/* $out;"; installPhase = "mkdir -p $out; cp -R site/* $out;";
}; };

View file

@ -1,33 +1,6 @@
site_name: Skynet Wiki site_name: Skynet Wiki
site_url: https://wiki.skynet.ie site_url: https://wiki.skynet.ie
repo_url: https://forgejo.skynet.ie/Skynet/wiki repo_url: https://forgejo.skynet.ie/Skynet/wiki
edit_uri: src/branch/main/src
docs_dir: ./src/ docs_dir: ./src/
theme: theme:
name: material name: material
palette:
# Palette toggle for light mode
- scheme: default
toggle:
icon: material/brightness-7
name: Switch to dark mode
# Palette toggle for dark mode
- scheme: slate
toggle:
icon: material/brightness-4
name: Switch to light mode
features:
- search.suggest
- search.highlight
- navigation.expand
- content.action.view
icon:
view: material/eye
plugins:
- search
- git-authors:
show_email_address: false
- git-revision-date-localized:
enable_creation_date: true
markdown_extensions:
- tables

View file

@ -1,6 +1,6 @@
# Skynet # Skynet
We provide a linux webserver for member use. We provide a linux webserver webserver for member use.
It could be considered akin to the [Tildeverse](https://tildeverse.org/), named as such for the way each member's site was displayed (``https://skynet.ie/~username``). It could be considered akin to the [Tildeverse](https://tildeverse.org/), named as such for the way each member's site was displayed (``https://skynet.ie/~username``).
Now that will redirect to ``https://username.users.skynet.ie`` we home to have preserved the same vibe. Now that will redirect to ``https://username.users.skynet.ie`` we home to have preserved the same vibe.
@ -11,8 +11,64 @@ You can find more of the history here: <https://2009.skynet.ie/history.html>
## Login ## Login
Login is done via ssh and ssh keys. Login is done via ssh and ssh keys.
## SSH Keys ### Create SSH key
[See the tutorial on SSH keys for more info](../../tutorials/skynet/create_ssh.md) First we set up the ssh folder and create a skynet folder within it for neatness
```bash
mkdir -f -p ~/.ssh/skynet
cd ~/.ssh/skynet
```
Now we will create the ssh key itself.
Location: ``username``, your skynet username.
Password: Press Enter twice for no password on the key.
```bash
ssh-keygen -t ed25519 -C "<comment>"
```
It will create two files: ``username`` and ``username.pub``
### SSH Key
Head over to [adding ssh keys](./account.md#ssh-keys) to find information on adding ssh keys to your skynet account.
it is the ``username.pub`` that you will be adding to your account.
To get the contents of the file do this.
```bash
cat username.pub
```
### SSH Config
Back up to the ``.ssh`` folder.
```bash
cd ../
```
Now we have to create the config file.
Notice how it has no extension.
#### Windows
```powershell
"" > config
```
Open it up in any text editor available to you.
#### Linux
```bash
touch config
```
You can edit it from command line using nano
```bash
nano config
```
Or open up in a text editor.
--------------------------------------
Windows and Linux pop this into the file and save it
```
Host *.skynet.ie
User %r
IdentityFile ~/.ssh/skynet/%r
IdentitiesOnly yes
```
### Logging in ### Logging in
In any terminal do this: In any terminal do this:
@ -23,4 +79,16 @@ ssh username@skynet.skynet.ie
And you will be in! And you will be in!
## Website ## Website
[See the tutorial on the website for more info](../../tutorials/skynet/create_website.md) In your home folder follow these commands to create the folder that can be used to host a website
```bash
mkdir ~/public_html
chmod 711 ~
chmod -R 755 ~/public_html
cd ~/public_html
```
See below for an easy way to upload files to this folder.
## More info
There is a slideshow that might be of use to you: <https://public.skynet.ie/slides/skynet/1_setup.html>

View file

@ -53,7 +53,7 @@ If you are paying online you can only pay for one year's membership.
Note it will say it will expire in one year but upon transfer of the money to our account it will be accepted as a 5 year membership. Note it will say it will expire in one year but upon transfer of the money to our account it will be accepted as a 5 year membership.
![PAY BY CASH][6] ![PAY BY CASH][6]
10. Transfer &euro;40 to our bank account: 10. Transfer &euro;40 to our bank account:
* BIC: ``BOFIIE2DXXX`` * BIC: ``BOFIIE2D``
* IBAN: ``IE31BOFI90595047627767`` * IBAN: ``IE31BOFI90595047627767``
Please put your name in the reference. Please put your name in the reference.
If you are having trouble with this or want to arrange another payment method, get in touch. If you are having trouble with this or want to arrange another payment method, get in touch.

View file

@ -1,24 +0,0 @@
# Personal Access Tokens
## Assumptions
* [Git installed](https://git-scm.com/downloads)
* [Skynet / Forgejo account](https://forgejo.skynet.ie/user/login)
### Why
The usual way of authentication when working with remote git repositories
is SSH, unfortunately we aren't able to do that with our git server. You could use username and password
however that is less secure and inconvenient, personal access tokens on the other hand are a more convenient and secure alternative.
Personal access tokens make it so you don't have to use username / password
to authenticate, you can authenticate **once** when **cloning** and that's it.
### How
Go to [this page and click generate token](https://forgejo.skynet.ie/user/settings/applications)
Give it a name and select read and write for repository permissions
Copy it once its generated
**Note : Do not share your access token with anyone, if its compromised delete it, this can be done easily
[here](https://forgejo.skynet.ie/user/settings/applications) and prevents it from being used.**
When cloning a repository, use the token like so..
```git clone https://<token>@forgejo.skynet.ie/<repo>```
You now should be able to push to the repository without being prompted for username / password.

View file

@ -1,39 +0,0 @@
# Create Skynet Account
## New Members
1. Be a fully paid up member of UL Computer Society.
* [Signup at UL Wolves][wolves].
2. Go to [our Skynet signup page][signup].
3. Enter the same email used for UL Wolves.
* This is the ``Preferred Contact Email`` on your [profile page][profile].
4. You will get an email to verify your address, follow the link in the email.
* You may need to check teh spam folder.
* It may also take up to 15 min to be delivered.
5. Choose a ``username`` and ``password``.
Congrats! You are in!
_heist music_
## Returning Members
1. Please go to [the profile modification page][modify].
2. Enter the same email used for UL Wolves.
* This is the ``Preferred Contact Email`` on your [profile page][profile].
### If you have forgotten your ``username``.
Use [recover username][recover_username].
### If you have forgotten your ``password``.
Use [reset password][recover_password].
### If the above doesn't work
Contact the nearest Skynet person, either in person or at ``contact[at]skynet.ie``.
[wolves]: https://ulwolves.ie/society/computer
[signup]: https://account.skynet.ie/signup
[profile]: https://ulwolves.ie/memberships/profile
[modify]: https://account.skynet.ie/modify
[recover_username]: https://account.skynet.ie/recover/username
[recover_password]: https://account.skynet.ie/recover/password

View file

@ -1,88 +0,0 @@
# Setup SSH Keys
To be able to gain remote access to the Skynet.
``$USERNAME`` Refers to your Skynet username, for example I would replace ``$USERNAME`` with ``silver``
## Create Key
First we set up the ssh folder and create a skynet folder within it for neatness
```bash
mkdir -f -p ~/.ssh/skynet
cd ~/.ssh/skynet
```
Now we will create the ssh key itself.
Location: ``$USERNAME``, your skynet username.
Password: Press Enter twice for no password on the key.
```bash
ssh-keygen -t ed25519 -C "<comment>"
```
It will create two files: ``$USERNAME`` and ``$USERNAME.pub`` inside ``~/.ssh/skynet``
### Linux Only
Openssh will complain if the keys permissions are too permissive.
To fix this use
```bash
chmod 600 $USERNAME
# or
chmod 600 ~/.ssh/skynet/$USERNAME
```
## Create Config
Above we created a folder for Skynet keys.
Ye can do the same with Gitlab/Github/... in the future.
The only downside is that we now have to tell ssh what key to use in what situation.
Back up to the ``.ssh`` folder.
```bash
cd ../
# or
cd ~/.ssh
```
Now we have to create the config file.
Notice how it has no extension.
### Windows
```powershell
"" > config
```
Open it up in any text editor available to you.
### Linux
```bash
touch config
```
You can edit it from command line using nano
```bash
nano config
```
Or open up in a text editor.
### Windows/Linux
This is what we want to have in teh file.
```
Host *.skynet.ie
User $USERNAME
IdentityFile ~/.ssh/skynet/$USERNAME
IdentitiesOnly yes
```
## Add key to account
Go to [the modify SSH page](https://account.skynet.ie/modify_ssh) and paste in teh contents of ``$USERNAME.pub``.
You will now be able to SSH into Skynet like so:
```bash
ssh $USERNAME@skynet.skynet.ie
```

View file

@ -1,26 +0,0 @@
# Create your own website on Skynet
## Login
Once ye have [logged in](./create_ssh.md) you will be able to create a website on Skynet.
## Website
### Manually
In your home folder follow these commands to create the folder that can be used to host a website
```bash
mkdir ~/public_html
chmod 711 ~
chmod -R 755 ~/public_html
cd ~/public_html
```
To transfer files graphically you can use these programs:
* WinSCP
* FileZilla
Anything put there will be accessible under ``https://$USERNAME.users.skynet.ie``.
For backwards compatability ``https://skynet.ie/~$USERNAME`` will redirect to ``https://$USERNAME.users.skynet.ie``.
## More info
There is a slideshow that might be of use to you: <https://public.skynet.ie/slides/skynet/1_setup.html>

View file

@ -1,30 +0,0 @@
# Verify Membership on Discord
In order to get the ``Member`` role on [Discord][0] you have to link your Wolves account.
This is only done once and works for any server that the Skynet Bot is on.
This process ensures that personal information does not get exposed.
## Commands
### Linking
In any channel use ``/link_wolves`` and enter the email you use for Wolves.
This is the ``Peferred Contact Email`` on the [profile][1] page.
An email will be sent to this address in order to prove that it is yours.
You may need to check the Spam folder.
![Linking.png](verify_discord/linking.png)
### Verify
Once you have gotten the email you will now submit the verification code.
It is in the form of ``/verify code: ABCDEFG`` and is tied to your account.
Enter this in Discord and you will be verified.
## Troubleshooting
[0]: https://discord.skynet.ie
[1]: https://ulwolves.ie/memberships/profile

Binary file not shown.